Package io.dapr.client.domain

# Class DaprMetadata

java.lang.Object
io.dapr.client.domain.DaprMetadata

public final class DaprMetadata extends Object
DaprMetadata describes the Dapr Metadata.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DaprMetadata(String id, String runtimeVersion, List<String> enabledFeatures, List<ActorMetadata> actors, Map<String,String> attributes, List<ComponentMetadata> components, List<HttpEndpointMetadata> httpEndpoints, List<SubscriptionMetadata> subscriptions, AppConnectionPropertiesMetadata appConnectionProperties)`
  Constructor for a DaprMetadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ActorMetadata>`
  `getActors()`
  `AppConnectionPropertiesMetadata`
  `getAppConnectionProperties()`
  `Map<String,String>`
  `getAttributes()`
  `List<ComponentMetadata>`
  `getComponents()`
  `List<String>`
  `getEnabledFeatures()`
  `List<HttpEndpointMetadata>`
  `getHttpEndpoints()`
  `String`
  `getId()`
  `String`
  `getRuntimeVersion()`
  `List<SubscriptionMetadata>`
  `getSubscriptions()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DaprMetadata

    public DaprMetadata(String id, String runtimeVersion, List<String> enabledFeatures, List<ActorMetadata> actors, Map<String,String> attributes, List<ComponentMetadata> components, List<HttpEndpointMetadata> httpEndpoints, List<SubscriptionMetadata> subscriptions, AppConnectionPropertiesMetadata appConnectionProperties)
    Constructor for a DaprMetadata.
    Parameters:
      `id` - of the application
      `runtimeVersion` - Dapr version
      `enabledFeatures` - list of enabled features
      `actors` - list of registered features
      `attributes` - map of extended attributes
      `components` - list of registered components
      `httpEndpoints` - list of registered http endpoints
      `subscriptions` - list of registered subscription
      `appConnectionProperties` - connection properties of the application

- ## Method Details

  - ### getId

    public String getId()

  - ### getRuntimeVersion

    public String getRuntimeVersion()

  - ### getEnabledFeatures

    public List<String> getEnabledFeatures()

  - ### getActors

    public List<ActorMetadata> getActors()

  - ### getAttributes

    public Map<String,String> getAttributes()

  - ### getComponents

    public List<ComponentMetadata> getComponents()

  - ### getHttpEndpoints

    public List<HttpEndpointMetadata> getHttpEndpoints()

  - ### getSubscriptions

    public List<SubscriptionMetadata> getSubscriptions()

  - ### getAppConnectionProperties

    public AppConnectionPropertiesMetadata getAppConnectionProperties()